/*
Project     : ATMEGA128 Board V3.3 LCD 20*4 TEST1
              M128V33_LCD20X4.c
Date        : 2012-08-31
Company     : AvrMall.com
Chip type   : ATmega128-16AU
Clock       : 16.000000 MHz
Comment     : ATmega128 Board V3.X & M128K1 LCD 20*4 ǥϴ α׷ 

Used with AVRSTUDIO V4.19 (WINAVR) .
*/

#include <avr/io.h>
#include "am128_lcd.h"//ATmega128 V3.1 LCD headerfile
#include "am128_lcd.c"//ATmega128 V3.1 LCD Function
//#include "am_lcd.h"//M128 KIT V2.0 LCD headerfile
//#include "am_lcd.c"//M128 KIT V2.0 LCD Function

#define F_CPU 16000000UL // 16 MHz
//#include <util/delay.h>

#define debug1 		// LCD  ۾ ǥ ƾ 
#define debug2		// LCD Ʈ  ƾ 
//#define debug2		// LCD Ʈ  ƾ  


int main(void)
{
	//ܺθ޸  --- LCD WR ,RD, A15, (ܺθ޸𸮷ó)------------
	//MCUCR bit 7 SRE: Writing SRE to one enables the External Memory Interface.
	//Interface.The pin functions AD7:0, A15:8, ALE, WR, and RD are activated as the alternate pin functions.
	MCUCR=0xc0;

	lcd_init();
	
	while(1)
	{
		#ifdef debug1
		///////////////////////////
		//    M128 Board V3.X    //
		//    Text lcd 20*4      //
		//                       //
		//   www.avrmall.com     //
		///////////////////////////
		Gotoxy(3,0);
		_lcd_str("M128 Board V3.X");
     
		Gotoxy(4,1);
		_lcd_str("Text lcd 20*4");

		Gotoxy(3,3);
		_lcd_str("www.avrmall.com");
          
			#ifdef debug2
			lcd_display_on();
			delay_ms(300);
			lcd_display_off();
			delay_ms(300);
			lcd_display_on();
			delay_ms(300);
          
			lcd_right_shift();
			lcd_right_shift();
			delay_ms(500);delay_ms(500);
	        	
			lcd_left_shift();
			lcd_left_shift(); 
			lcd_left_shift();
			lcd_left_shift();
			lcd_left_shift();
			delay_ms(500);
          
			lcd_right_shift();
			lcd_right_shift();
			lcd_right_shift();
			#endif
		#endif
	}
}
