/**************************************************
  Winavr(AVR-GCC) C Compiler
  (C) 1998-2007 AVRMall, by Jong-Hyung Kim

  Prototypes for LCD functions 
***************************************************/


#ifndef _LCD_INCLUDED_
#define _LCD_INCLUDED_

#pragma used+

void lcd_init(void);
void lcd_data(char data);
void lcd_cmd(char cmd);
char lcd_read(char read);
void lcd_clear(void);
void lcd_display_on(void);
void lcd_display_off(void);
void lcd_right_shift(void);
void lcd_left_shift(void);
void lcd_busy(void);
void lcd_ch(char ch);
void lcd_str(char *str);
void Gotoxy(unsigned char x, unsigned char y);    

void _lcd_str(char *str);

#pragma used-

#endif
